Bug 245593 - sysutils/yadm: Add optional jinja2-cli runtime depends
Summary: sysutils/yadm: Add optional jinja2-cli runtime depends
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok, needs-qa
Depends on: 245783
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-13 12:02 UTC by Adam Jimerson
Modified: 2020-08-13 07:11 UTC (History)
1 user (show)

See Also:


Attachments
Add optional py-jinja2-cli depends (645 bytes, patch)
2020-04-13 12:02 UTC, Adam Jimerson
no flags Details | Diff
Yadm 2.5.0 update and add optional py-j2cli dependency (1.28 KB, patch)
2020-08-10 23:17 UTC, Adam Jimerson
vendion: maintainer-approval+
Details | Diff
Yadm 2.5.0 update and add optional py-j2cli dependency V2 (1.22 KB, patch)
2020-08-13 02:06 UTC, Adam Jimerson
vendion: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jimerson 2020-04-13 12:02:43 UTC
Created attachment 213362 [details]
Add optional py-jinja2-cli depends

Add a new optional runtime dependency on textproc/py-jinja2-cli which can be enabled by a user when compiling from ports to allow the use of Jinja2 templates.
Comment 1 Automation User 2020-04-13 12:44:17 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/135362119
Comment 2 Fernando Apesteguía freebsd_committer 2020-04-15 05:37:32 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 3 Adam Jimerson 2020-04-15 12:06:28 UTC
(In reply to Fernando Apesteguía from comment #2)

Thanks, I specifically marked the patch as being approved by me. Since the patch came from me I wasn't sure if that was needed.
Comment 4 Fernando Apesteguía freebsd_committer 2020-04-15 12:25:34 UTC
(In reply to Adam Jimerson from comment #3)

Thanks Adam,

It helps to so people don't have to look if maintainers approval is necessary :-)
Comment 5 Adam Jimerson 2020-04-15 12:29:23 UTC
Noted, thanks!

I'll keep this in mind in the future :-)
Comment 6 Adam Jimerson 2020-04-21 12:47:16 UTC
Comment on attachment 213362 [details]
Add optional py-jinja2-cli depends

This patch adds the wrong port, as jinja2-cli is not the same as j2cli.

https://pypi.org/project/jinja2-cli/ vs https://pypi.org/project/j2cli/

I have submitted a bug for the addition of the correct program at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=245783
Comment 7 Adam Jimerson 2020-08-10 23:17:55 UTC
Created attachment 217140 [details]
Yadm 2.5.0 update and add optional py-j2cli dependency

This patch updates yadm to 2.5.0 with the following changelog.

Update version number and update documentation

* Support for transcrypt (#197)
* Support ESH templates (#220)
* Preserve file mode of template (#193)
* Fish shell completions (#224)
* Fix alt processing when worktree is `/` (#198)
* Assert config directory if missing (#226, #227)
* Documentation improvements (#229)

This also adds an optional dependency on textproc/py-j2cli to support jinja2 templates.
Comment 8 Fernando Apesteguía freebsd_committer 2020-08-12 12:34:06 UTC
Hi Adam,

Thanks for the patch. Unfortunately, it does not apply cleanly:

Patching file Makefile using Plan A...
Hunk #1 failed at 1.
Hunk #2 succeeded at 19 with fuzz 2.
1 out of 2 hunks failed--saving rejects to Makefile.rej

At the head of your patch:

@@ -1,7 +1,7 @@
 # $FreeBSD$

 PORTNAME=      yadm
-PORTVERSION=   2.4.0
+PORTVERSION=   2.5.0

But now in ports head:

# $FreeBSD: head/sysutils/yadm/Makefile 527688 2020-03-03 18:09:28Z fernape $

PORTNAME=       yadm

Also, after applying the patch, portlint complains:

FATAL: Makefile: [22]: use a tab (not space) after a variable name
FATAL: Makefile: [24]: use a tab (not space) after a variable name
FATAL: Makefile: [25]: use a tab (not space) after a variable name
FATAL: Makefile: [26]: use a tab (not space) after a variable name

Would you have a look at this?
Comment 9 Adam Jimerson 2020-08-13 02:06:25 UTC
Created attachment 217182 [details]
Yadm 2.5.0 update and add optional py-j2cli dependency V2

I rerolled the patch and tested applying it to my local ports tree and it applied cleanly and portlint passes as well.
Comment 10 commit-hook freebsd_committer 2020-08-13 06:55:00 UTC
A commit references this bug:

Author: fernape
Date: Thu Aug 13 06:54:04 UTC 2020
New revision: 544786
URL: https://svnweb.freebsd.org/changeset/ports/544786

Log:
  sysutils/yadm: update to 2.5.0

  Add option to support jinja2 templates.

  From ChangeLog: https://github.com/TheLocehiliosan/yadm/releases/tag/2.5.0

   * Support for transcrypt
   * Support ESH templates
   * Preserve file mode of template
   * Fish shell completions
   * Fix alt processing when worktree is `/`
   * Assert config directory if missing
   * Documentation improvements

  PR:	245593
  Submitted by:	vendion@gmail.com (maintainer)

Changes:
  head/sysutils/yadm/Makefile
  head/sysutils/yadm/distinfo
Comment 11 Fernando Apesteguía freebsd_committer 2020-08-13 07:11:02 UTC
Committed,

Thanks!